Skip to content
Start here

List evaluations (deprecated)

ai_gateway.evaluations.list(strgateway_id, EvaluationListParams**kwargs) -> SyncV4PagePaginationArray[EvaluationListResponse]
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/evaluations

Lists the evaluations run on an AI Gateway. Evaluations and datasets are deprecated and unavailable to new accounts.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
account_id: str
gateway_id: str

Unique identifier of the AI Gateway within the account.

maxLength64
minLength1
name: Optional[str]
page: Optional[int]
minimum1
per_page: Optional[int]
maximum100
minimum1
processed: Optional[bool]
ReturnsExpand Collapse
class EvaluationListResponse: …
id: str
created_at: datetime
formatdate-time
datasets: List[Dataset]
id: str
account_id: str
account_tag: str
created_at: datetime
formatdate-time
enable: bool
filters: List[DatasetFilter]
key: Literal["created_at", "request_content_type", "response_content_type", 10 more]
One of the following:
"created_at"
"request_content_type"
"response_content_type"
"success"
"cached"
"provider"
"model"
"cost"
"tokens"
"tokens_in"
"tokens_out"
"duration"
"feedback"
operator: Literal["eq", "contains", "lt", "gt"]
One of the following:
"eq"
"contains"
"lt"
"gt"
value: List[Union[str, float, bool]]
One of the following:
str
float
bool
gateway_id: str

Unique identifier of the AI Gateway within the account.

maxLength64
minLength1
modified_at: datetime
formatdate-time
name: str
gateway_id: str

Unique identifier of the AI Gateway within the account.

maxLength64
minLength1
modified_at: datetime
formatdate-time
name: str
processed: bool
results: List[Result]
id: str
created_at: datetime
formatdate-time
evaluation_id: str
evaluation_type_id: str
modified_at: datetime
formatdate-time
result: str
status: float
status_description: str
total_logs: float
total_logs: float

List evaluations (deprecated)

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.ai_gateway.evaluations.list(
    gateway_id="my-gateway",
    account_id="3ebbcb006d4d46d7bb6a8c7f14676cb0",
)
page = page.result[0]
print(page.id)
{
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "datasets": [
        {
          "id": "id",
          "account_id": "account_id",
          "account_tag": "account_tag",
          "created_at": "2019-12-27T18:11:19.117Z",
          "enable": true,
          "filters": [
            {
              "key": "created_at",
              "operator": "eq",
              "value": [
                "string"
              ]
            }
          ],
          "gateway_id": "my-gateway",
          "modified_at": "2019-12-27T18:11:19.117Z",
          "name": "name"
        }
      ],
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "processed": true,
      "results": [
        {
          "id": "id",
          "created_at": "2019-12-27T18:11:19.117Z",
          "evaluation_id": "evaluation_id",
          "evaluation_type_id": "evaluation_type_id",
          "modified_at": "2019-12-27T18:11:19.117Z",
          "result": "result",
          "status": 0,
          "status_description": "status_description",
          "total_logs": 0
        }
      ],
      "total_logs": 0
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "datasets": [
        {
          "id": "id",
          "account_id": "account_id",
          "account_tag": "account_tag",
          "created_at": "2019-12-27T18:11:19.117Z",
          "enable": true,
          "filters": [
            {
              "key": "created_at",
              "operator": "eq",
              "value": [
                "string"
              ]
            }
          ],
          "gateway_id": "my-gateway",
          "modified_at": "2019-12-27T18:11:19.117Z",
          "name": "name"
        }
      ],
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "processed": true,
      "results": [
        {
          "id": "id",
          "created_at": "2019-12-27T18:11:19.117Z",
          "evaluation_id": "evaluation_id",
          "evaluation_type_id": "evaluation_type_id",
          "modified_at": "2019-12-27T18:11:19.117Z",
          "result": "result",
          "status": 0,
          "status_description": "status_description",
          "total_logs": 0
        }
      ],
      "total_logs": 0
    }
  ],
  "success": true
}